libabw::ABWCollector Class Reference documentation

Public Member Functions | List of all members
libabw::ABWCollector Class Referenceabstract

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWCollector:

## Public Member Functions
| ABWCollector ()
virtual | ~ABWCollector ()
virtual void | collectTextStyle (const char *name, const char *basedon, const char *followedby, const char *props)=0
virtual void | collectDocumentProperties (const char *props)=0
virtual void | collectParagraphProperties (const char *level, const char *listid, const char *parentid, const char *style, const char *props)=0
virtual void | collectSectionProperties (const char *footer, const char *footerLeft, const char *footerFirst, const char *footerLast, const char *header, const char *headerLeft, const char *headerFirst, const char *headerLast, const char *props)=0
virtual void | collectCharacterProperties (const char *style, const char *props)=0
virtual void | collectPageSize (const char *width, const char *height, const char *units, const char *pageScale)=0
virtual void | closeParagraphOrListElement ()=0
virtual void | closeSpan ()=0
virtual void | openLink (const char *href)=0
virtual void | closeLink ()=0
virtual void | openFoot (const char *id)=0
virtual void | closeFoot ()=0
virtual void | openEndnote (const char *id)=0
virtual void | closeEndnote ()=0
virtual void | openField (const char *type, const char *id)=0
virtual void | closeField ()=0
virtual void | endSection ()=0
virtual void | startDocument ()=0
virtual void | endDocument ()=0
virtual void | insertLineBreak ()=0
virtual void | insertColumnBreak ()=0
virtual void | insertPageBreak ()=0
virtual void | insertText (const char *text)=0
virtual void | insertImage (const char *dataid, const char *props)=0
virtual void | collectList (const char *id, const char *listDecimal, const char *listDelim, const char *parentid, const char *startValue, const char *type)=0
virtual void | collectData (const char *name, const char *mimeType, const librevenge::RVNGBinaryData &data)=0
virtual void | collectHeaderFooter (const char *id, const char *type)=0
virtual void | openTable (const char *props)=0
virtual void | closeTable ()=0
virtual void | openCell (const char *props)=0
virtual void | closeCell ()=0
virtual void | openFrame (const char *props, const char *imageId, const char *title, const char *alt)=0
virtual void | closeFrame (ABWOutputElements *(&elements), bool &pageFrame)=0
virtual void | addFrameElements (ABWOutputElements &elements, bool pageFrame)=0
virtual void | addMetadataEntry (const char *name, const char *value)=0

## Constructor & Destructor Documentation

## ◆ ABWCollector()

libabw::ABWCollector::ABWCollector | ( |  | ) |
| inline

## ◆ ~ABWCollector()

virtual libabw::ABWCollector::~ABWCollector | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addFrameElements()

virtual void libabw::ABWCollector::addFrameElements | ( | ABWOutputElements & | elements,
|  | bool | pageFrame
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ addMetadataEntry()

virtual void libabw::ABWCollector::addMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ closeCell()

virtual void libabw::ABWCollector::closeCell | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeEndnote()

virtual void libabw::ABWCollector::closeEndnote | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeField()

virtual void libabw::ABWCollector::closeField | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeFoot()

virtual void libabw::ABWCollector::closeFoot | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeFrame()

virtual void libabw::ABWCollector::closeFrame | ( | ABWOutputElements *& | elements,
|  | bool & | pageFrame
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ closeLink()

virtual void libabw::ABWCollector::closeLink | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeParagraphOrListElement()

virtual void libabw::ABWCollector::closeParagraphOrListElement | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeSpan()

virtual void libabw::ABWCollector::closeSpan | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ closeTable()

virtual void libabw::ABWCollector::closeTable | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ collectCharacterProperties()

virtual void libabw::ABWCollector::collectCharacterProperties | ( | const char * | style,
|  | const char * | props
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ collectData()

virtual void libabw::ABWCollector::collectData | ( | const char * | name,
|  | const char * | mimeType,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ collectDocumentProperties()

virtual void libabw::ABWCollector::collectDocumentProperties | ( | const char * | props | ) |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ collectHeaderFooter()

virtual void libabw::ABWCollector::collectHeaderFooter | ( | const char * | id,
|  | const char * | type
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ collectList()

virtual void libabw::ABWCollector::collectList | ( | const char * | id,
|  | const char * | listDecimal,
|  | const char * | listDelim,
|  | const char * | parentid,
|  | const char * | startValue,
|  | const char * | type
| ) |  |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ collectPageSize()

virtual void libabw::ABWCollector::collectPageSize | ( | const char * | width,
|  | const char * | height,
|  | const char * | units,
|  | const char * | pageScale
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ collectParagraphProperties()

virtual void libabw::ABWCollector::collectParagraphProperties | ( | const char * | level,
|  | const char * | listid,
|  | const char * | parentid,
|  | const char * | style,
|  | const char * | props
| ) |  |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ collectSectionProperties()

virtual void libabw::ABWCollector::collectSectionProperties | ( | const char * | footer,
|  | const char * | footerLeft,
|  | const char * | footerFirst,
|  | const char * | footerLast,
|  | const char * | header,
|  | const char * | headerLeft,
|  | const char * | headerFirst,
|  | const char * | headerLast,
|  | const char * | props
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ collectTextStyle()

virtual void libabw::ABWCollector::collectTextStyle | ( | const char * | name,
|  | const char * | basedon,
|  | const char * | followedby,
|  | const char * | props
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ endDocument()

virtual void libabw::ABWCollector::endDocument | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ endSection()

virtual void libabw::ABWCollector::endSection | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ insertColumnBreak()

virtual void libabw::ABWCollector::insertColumnBreak | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ insertImage()

virtual void libabw::ABWCollector::insertImage | ( | const char * | dataid,
|  | const char * | props
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ insertLineBreak()

virtual void libabw::ABWCollector::insertLineBreak | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ insertPageBreak()

virtual void libabw::ABWCollector::insertPageBreak | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ insertText()

virtual void libabw::ABWCollector::insertText | ( | const char * | text | ) |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openCell()

virtual void libabw::ABWCollector::openCell | ( | const char * | props | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ openEndnote()

virtual void libabw::ABWCollector::openEndnote | ( | const char * | id | ) |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openField()

virtual void libabw::ABWCollector::openField | ( | const char * | type,
|  | const char * | id
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openFoot()

virtual void libabw::ABWCollector::openFoot | ( | const char * | id | ) |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openFrame()

virtual void libabw::ABWCollector::openFrame | ( | const char * | props,
|  | const char * | imageId,
|  | const char * | title,
|  | const char * | alt
| ) |  |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openLink()

virtual void libabw::ABWCollector::openLink | ( | const char * | href | ) |
| pure virtual

Implemented in libabw::ABWStylesCollector, and libabw::ABWContentCollector.

## ◆ openTable()

virtual void libabw::ABWCollector::openTable | ( | const char * | props | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

## ◆ startDocument()

virtual void libabw::ABWCollector::startDocument | ( |  | ) |
| pure virtual

Implemented in libabw::ABWContentCollector, and libabw::ABWStylesCollector.

The documentation for this class was generated from the following file:

- ABWCollector.h